#!/usr/bin/make -f

%:
	dh $@ --with javahelper 

override_dh_auto_build:
	ant jars
	ant javadocs

get-orig-source:
	svn export https://github.com/Starlink/starjava/trunk/pal starjava-pal ; \
	wget -nv https://github.com/Starlink/starjava/raw/master/LICENSE.txt -P starjava-pal ; \
	VERSION=`xmllint --xpath '//project/property[@name="version"]/@value' starjava-pal/build.xml | cut -d\" -f2| tr - .| tr -d +` ; \
	DATE=`stat -c %y starjava-pal/src/main/uk/ac/starlink/pal/*.java | cut -c-10 | sort|uniq|tail -1| tr - .`; \
	tar cf starjava-pal_$$VERSION+$$DATE.orig.tar starjava-pal ; \
	rm -rf starjava-pal ; \
	xz starjava-pal_$$VERSION+$$DATE.orig.tar
